package objects

import "git.tebibyte.media/tomo/tomo"

var _ tomo.Object = new(Separator)

// Separator is a line for visually separating elements.
type Separator struct {
	box tomo.Box
}

// NewSeparator creates a new separator line.
func NewSeparator () *Separator {
	this := &Separator {
		box: tomo.NewBox(),
	}
	this.box.SetRole(tomo.R("objects", "Separator"))
	return this
}

// GetBox returns the underlying box.
func (this *Separator) GetBox () tomo.Box {
	return this.box
}
